import 'package:get/get.dart';

import '../../../Data/Repository/Staffs/Getstaffsrepository.dart';
import '../../../Model/Response/Staffs/Getstaffsresponse.dart';

class StaffsController extends GetxController{

  bool shimmer = true;

  List<StaffDetails>getStaff = [];

  GetStaffsRepository getStaffsRepository = GetStaffsRepository();


  getStaffs()async{
    GetStaffsResponse? result = await getStaffsRepository.getStaffs();
    if(result?.status == true){
      getStaff = result?.details??[];
      shimmer = false;
      update();
    }
  }

  @override
  void onInit() {
    // TODO: implement onInit
    super.onInit();
  }
}